Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 9124)
@@ -24,5 +24,4 @@
    USE lbclnk          ! lateral boundary conditions - mpp exchanges
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
 
    IMPLICIT NONE
@@ -77,6 +76,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zdepu, zdepv   ! 3D workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_wri')
       !
       IF(lwp) WRITE(numout,*)
@@ -200,6 +197,4 @@
       !                                     ! ============================
       !
-      IF( ln_timing )   CALL timing_stop('dom_wri')
-      !
    END SUBROUTINE dom_wri
 
@@ -222,6 +217,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   ztstref
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_uniq')
       !
       ! build an array with different values for each element 
@@ -238,6 +231,4 @@
       ! fill only the inner part of the cpu with llbl converted into real 
       puniq(nldi:nlei,nldj:nlej) = REAL( COUNT( lldbl(nldi:nlei,nldj:nlej,:), dim = 3 ) , wp )
-      !
-      IF( ln_timing )   CALL timing_stop('dom_uniq')
       !
    END SUBROUTINE dom_uniq
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 9124)
@@ -36,5 +36,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp        ! distributed memory computing library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -75,6 +74,4 @@
       REAL(wp) ::   zrefdep             ! depth of the reference level (~10m)
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dom_zgr')
       !
       IF(lwp) THEN                     ! Control print
@@ -162,6 +159,4 @@
             &                          ' w ', MAXVAL(   e3w_0(:,:,:) )
       ENDIF
-      !
-      IF( ln_timing )   CALL timing_stop('dom_zgr')
       !
    END SUBROUTINE dom_zgr
@@ -285,6 +280,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   zk   ! workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('zgr_top_bot')
       !
       IF(lwp) WRITE(numout,*)
@@ -316,6 +309,4 @@
       zk(:,:) = REAL( mbkv(:,:), wp )   ;   CALL lbc_lnk( zk, 'V', 1. )   ;   mbkv(:,:) = MAX( INT( zk(:,:) ), 1 )
       !
-      IF( ln_timing )   CALL timing_stop('zgr_top_bot')
-      !
    END SUBROUTINE zgr_top_bot
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90	(revision 9124)
@@ -22,5 +22,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE timing          ! Timing
 
    IMPLICIT NONE
@@ -61,6 +60,4 @@
       NAMELIST/namtsd/   ln_tsd_init, ln_tsd_tradmp, cn_dir, sn_tem, sn_sal
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dta_tsd_init')
       !
       !  Initialisation
@@ -120,6 +117,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('dta_tsd_init')
-      !
    END SUBROUTINE dta_tsd_init
 
@@ -148,6 +143,4 @@
       REAL(wp), DIMENSION(jpk) ::  ztp, zsp   ! 1D workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dta_tsd')
       !
       CALL fld_read( kt, 1, sf_tsd )      !==   read T & S data at kt time step   ==!
@@ -256,6 +249,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('dta_tsd')
-      !
    END SUBROUTINE dta_tsd
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 9124)
@@ -36,5 +36,4 @@
    USE lib_mpp         ! MPP library
    USE restart         ! restart
-   USE timing          ! Timing
 
    IMPLICIT NONE
@@ -63,6 +62,4 @@
 !!gm end
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('istate_init')
       !
       IF(lwp) WRITE(numout,*)
@@ -165,6 +162,4 @@
       vb_b(:,:) = vb_b(:,:) * r1_hv_b(:,:)
       !
-      IF( ln_timing )   CALL timing_stop('istate_init')
-      !
    END SUBROUTINE istate_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE lib_mpp        ! MPP library
    USE prtctl         ! Print control
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -53,6 +52,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::  zfv_t, zfv_f, zfv_vw, zfv, zfw
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dyn_adv_cen2')
       !
       IF( kt == nit000 .AND. lwp ) THEN
@@ -145,6 +142,4 @@
          &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF( ln_timing )   CALL timing_stop('dyn_adv_cen2')
-      !
    END SUBROUTINE dyn_adv_cen2
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 9124)
@@ -23,5 +23,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp        ! MPP library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -79,6 +78,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dyn_adv_ubs')
-      !
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
@@ -238,6 +235,4 @@
          &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF( ln_timing )   CALL timing_stop('dyn_adv_ubs')
-      !
    END SUBROUTINE dyn_adv_ubs
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynbfr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynbfr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynbfr.F90	(revision 9124)
@@ -21,5 +21,4 @@
    USE in_out_manager ! I/O manager
    USE prtctl         ! Print control
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -56,6 +55,4 @@
       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::   ztrdu, ztrdv
       !!---------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('dyn_bfr')
       !
 !!gm bug : time step is only rdt (not 2 rdt if euler start !)
@@ -109,6 +106,4 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF( ln_timing )   CALL timing_stop('dyn_bfr')
-      !
    END SUBROUTINE dyn_bfr
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 9124)
@@ -28,5 +28,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl          ! Print control
-   USE timing          ! Timing
 
    IMPLICIT NONE
@@ -114,6 +113,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dyn_ldf_iso')
-      !
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
@@ -399,7 +396,4 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      !
-      IF( ln_timing )   CALL timing_stop('dyn_ldf_iso')
-      !
    END SUBROUTINE dyn_ldf_iso
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_lap_blp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_lap_blp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_lap_blp.F90	(revision 9124)
@@ -19,5 +19,4 @@
    USE in_out_manager ! I/O manager
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -65,6 +64,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_start('dyn_ldf_lap')
-      !
       IF( kpass == 1 ) THEN   ;   zsign =  1._wp      ! bilaplacian operator require a minus sign
       ELSE                    ;   zsign = -1._wp      !  (eddy viscosity coef. >0)
@@ -105,6 +102,4 @@
       !                                                ! ===============
       !
-      IF( ln_timing )   CALL timing_stop('dyn_ldf_lap')
-      !
    END SUBROUTINE dyn_ldf_lap
 
@@ -130,6 +125,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dyn_ldf_blp')
-      !
       IF( kt == nit000 )  THEN
          IF(lwp) WRITE(numout,*)
@@ -147,6 +140,4 @@
       CALL dyn_ldf_lap( kt, zulap, zvlap, pua, pva, 2 )   ! rotated laplacian applied to zlap (output in pta)
       !
-      IF( ln_timing )   CALL timing_stop('dyn_ldf_blp')
-      !
    END SUBROUTINE dyn_ldf_blp
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 9124)
@@ -194,6 +194,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dyn_spg_init')
-      !
       REWIND( numnam_ref )              ! Namelist namdyn_spg in reference namelist : Free surface
       READ  ( numnam_ref, namdyn_spg, IOSTAT = ios, ERR = 901)
@@ -231,9 +229,5 @@
       IF( nspg == np_TS ) THEN   ! split-explicit scheme initialisation
          CALL dyn_spg_ts_init          ! do it first: set nn_baro used to allocate some arrays later on
-         IF( dyn_spg_ts_alloc() /= 0  )   CALL ctl_stop('STOP', 'dyn_spg_init: failed to allocate dynspg_ts  arrays' )
-         IF( neuler/=0 .AND. ln_bt_fw )   CALL ts_rst( nit000, 'READ' )
-      ENDIF
-      !
-      IF( ln_timing )   CALL timing_stop('dyn_spg_init')
+      ENDIF
       !
    END SUBROUTINE dyn_spg_init
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 9124)
@@ -23,10 +23,9 @@
    USE prtctl          ! Print control
    USE iom             ! I/O library
-   USE timing          ! Timing
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC   dyn_spg_exp   ! routine called by dynspg.F90 
+   PUBLIC   dyn_spg_exp   ! called in dynspg.F90 
 
    !! * Substitutions
@@ -61,6 +60,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dyn_spg_exp')
-      !
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
@@ -93,6 +90,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('dyn_spg_exp')
-      !
    END SUBROUTINE dyn_spg_exp
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 9124)
@@ -48,4 +48,5 @@
 #if defined key_agrif
    USE agrif_opa_interp ! agrif
+   USE agrif_oce
 #endif
 #if defined key_asminc   
@@ -59,31 +60,22 @@
    USE iom             ! IOM library
    USE restart         ! only for lrst_oce
-   USE timing          ! Timing    
    USE diatmb          ! Top,middle,bottom output
-#if defined key_agrif
-   USE agrif_opa_interp ! agrif
-   USE agrif_oce
-#endif
-#if defined key_asminc   
-   USE asminc          ! Assimilation increment
-#endif
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC dyn_spg_ts        ! routine called in dynspg.F90 
-   PUBLIC dyn_spg_ts_alloc  !    "      "     "    "
-   PUBLIC dyn_spg_ts_init   !    "      "     "    "
-   PUBLIC ts_rst            !    "      "     "    "
+   PUBLIC dyn_spg_ts        ! called by dyn_spg 
+   PUBLIC dyn_spg_ts_init   !    -    - dyn_spg_init
 
    !! Time filtered arrays at baroclinic time step:
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   un_adv , vn_adv   !: Advection vel. at "now" barocl. step
+   !
    INTEGER, SAVE :: icycle      ! Number of barotropic sub-steps for each internal step nn_baro <= 2.5 nn_baro
    REAL(wp),SAVE :: rdtbt       ! Barotropic time step
    !
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:)   ::   wgtbtp1, wgtbtp2   ! 1st & 2nd weights used in time filtering of barotropic fields
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  zwz                 ! ff_f/h at F points
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  ftnw, ftne          ! triad of coriolis parameter
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::  ftsw, ftse          ! (only used with een vorticity scheme)
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   zwz                ! ff_f/h at F points
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ftnw, ftne         ! triad of coriolis parameter
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ftsw, ftse         ! (only used with een vorticity scheme)
 
    REAL(wp) ::   r1_12 = 1._wp / 12._wp   ! local ratios
@@ -179,6 +171,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('dyn_spg_ts')
-      !
       IF( ln_wd_il ) ALLOCATE( zcpx(jpi,jpj), zcpy(jpi,jpj) )
       !                                         !* Allocate temporary arrays
@@ -284,5 +274,5 @@
             zhf(:,:) = 0._wp
             
-!!gm  assume 0 in both cases (xhich is almost surely WRONG ! ) as hvatf has been removed 
+!!gm  assume 0 in both cases (which is almost surely WRONG ! ) as hvatf has been removed 
 !!gm    A priori a better value should be something like :
 !!gm          zhf(i,j) = masked sum of  ht(i,j) , ht(i+1,j) , ht(i,j+1) , (i+1,j+1) 
@@ -1263,5 +1253,4 @@
          CALL iom_put( "baro_v" , vn_b*vmask(:,:,1)+zmdi*(1-vmask(:,:,1 ) ) )  ! Barotropic  V Velocity
       ENDIF
-      IF( ln_timing )   CALL timing_stop('dyn_spg_ts')
       !
    END SUBROUTINE dyn_spg_ts
@@ -1487,4 +1476,10 @@
       ENDIF
       !
+      !                             ! Allocate time-splitting arrays
+      IF( dyn_spg_ts_alloc() /= 0    )   CALL ctl_stop('STOP', 'dyn_spg_init: failed to allocate dynspg_ts  arrays' )
+      !
+      !                             ! read restart when needed
+      IF( neuler /= 0 .AND. ln_bt_fw )   CALL ts_rst( nit000, 'READ' )
+      !
    END SUBROUTINE dyn_spg_ts_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 9124)
@@ -193,6 +193,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   zwx, zwy, zwz   ! 2D workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )  CALL timing_start('vor_ene')
       !
       IF( kt == nit000 ) THEN
@@ -275,7 +273,4 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      !
-      IF( ln_timing )  CALL timing_stop('vor_ene')
-      !
    END SUBROUTINE vor_ene
 
@@ -310,6 +305,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   zwx, zwy, zwz, zww   ! 2D workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('vor_ens')
       !
       IF( kt == nit000 ) THEN
@@ -391,7 +384,4 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      !
-      IF( ln_timing )   CALL timing_stop('vor_ens')
-      !
    END SUBROUTINE vor_ens
 
@@ -426,6 +416,4 @@
       REAL(wp), DIMENSION(jpi,jpj)   :: ztnw, ztne, ztsw, ztse
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('vor_een')
       !
       IF( kt == nit000 ) THEN
@@ -552,7 +540,4 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      !
-      IF( ln_timing )   CALL timing_stop('vor_een')
-      !
    END SUBROUTINE vor_een
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 9124)
@@ -207,5 +207,5 @@
 #endif 
       !
-      IF( nn_timing == 1 )  CALL timing_stop('wzv')
+      IF( ln_timing )   CALL timing_stop('wzv')
       !
    END SUBROUTINE wzv
@@ -236,5 +236,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )  CALL timing_start('ssh_swp')
+      IF( ln_timing )   CALL timing_start('ssh_swp')
       !
       IF( kt == nit000 ) THEN
